## org.flexdock.dockbar.event
Class DockbarEventHandler

    java.lang.Object
      org.flexdock.event.EventHandler
          org.flexdock.dockbar.event.DockbarEventHandler

    public class DockbarEventHandler

extends EventHandler

An event handler to match `DockbarEvent` types to the appropriate `DockbarListener` method.

Author:
  Christopher Butler

Field Summary

Fields inherited from class org.flexdock.event.EventHandler
`globalListeners`

Constructor Summary
`DockbarEventHandler()`

Method Summary
`boolean` `acceptsEvent(Event evt)` This class accepts `DockbarEvent`s.
`boolean` `acceptsListener(java.util.EventListener listener)`
`void` `handleEvent(Event event, java.util.EventListener consumer, int eventType)`

Methods inherited from class org.flexdock.event.EventHandler
`addListener, getListeners, handleEvent, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockbarEventHandler

    public DockbarEventHandler()

Method Detail

### acceptsEvent

    public boolean acceptsEvent(Event evt)

  This class accepts `DockbarEvent`s.

  Specified by:
    `acceptsEvent` in class `EventHandler`
  Parameters:
    `evt` -
  Returns:
    `true` if this handler handles the event, `false` otherwise.

### acceptsListener

    public boolean acceptsListener(java.util.EventListener listener)

  Specified by:
    `acceptsListener` in class `EventHandler`

### handleEvent

    public void handleEvent(Event event,
                            java.util.EventListener consumer,
                            int eventType)

  Specified by:
    `handleEvent` in class `EventHandler`